package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: QueryImageModerationReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:26
 */
@Data
public class Nft008QueryImageModerationRespDto implements Serializable {
    /**
     * 建议您拿到判断结果后的执行操作。建议值，Block：建议屏蔽 Review:建议复审 Pass:建议通过
     */
    private String suggestion;
    /**
     * 恶意标签，Normal:正常 Porn:色情 Abuse:谩骂 Ad:广告。以及其他令人反感、不安全或不适宜的内容类型
     */
    private String label;
    /**
     * 机器判断当前分类的置信度，取值范围：0-100。分数越高，表示越有可能属于当前分类(如：色情99，则该样本属于色情的置信度非常高。)
     */
    private int score;

    private static final Nft008QueryImageModerationRespDto obj = new Nft008QueryImageModerationRespDto();
    public static Nft008QueryImageModerationRespDto getNew() {
        try {
            return (Nft008QueryImageModerationRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft008QueryImageModerationRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
